com.unitech.stuhfl

## Class STUHFL_T_Gb29768_Read

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gb29768_Read
  - - com.unitech.stuhfl.STUHFL_T_Gb29768_Read

-     public class STUHFL_T_Gb29768_Read
      extends BR_Gb29768_Read

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gb29768_Read

      `BR_Gb29768_Read.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `bytes2Read` < I Param: Bank (File, EPC, TID, USER) to which read data.
    `byte[]` | `data` < I Param: Password.
    `short` | `memoryBank` < I Param: Word address to which read data.
    `byte[]` | `pwd` < I Param: Number of bytes to read
    `long` | `wordPtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gb29768_Read()`
    `STUHFL_T_Gb29768_Read(long wordPtr, short memoryBank, short bytes2Read, byte[] pwd, byte[] data)`
    `STUHFL_T_Gb29768_Read(STUHFL_T_Gb29768_Read other)` < O Param: Read data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gb29768 Read command to read from the Gb29768 transponders
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gb29768_Read

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wordPtr

          public long wordPtr

    - #### memoryBank

          public short memoryBank

      < I Param: Word address to which read data.

    - #### bytes2Read

          public short bytes2Read

      < I Param: Bank (File, EPC, TID, USER) to which read data.

    - #### pwd

          public byte[] pwd

      < I Param: Number of bytes to read

    - #### data

          public byte[] data

      < I Param: Password.

  - ### Constructor Detail

    - #### STUHFL_T_Gb29768_Read

          public STUHFL_T_Gb29768_Read(STUHFL_T_Gb29768_Read other)

      < O Param: Read data.

    - #### STUHFL_T_Gb29768_Read

          public STUHFL_T_Gb29768_Read(long wordPtr,
                                       short memoryBank,
                                       short bytes2Read,
                                       byte[] pwd,
                                       byte[] data)

    - #### STUHFL_T_Gb29768_Read

          public STUHFL_T_Gb29768_Read()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gb29768 Read command to read from the Gb29768 transponders
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`